diff options
author | Michael Vogt <michael.vogt@ubuntu.com> | 2011-03-10 15:45:47 +0100 |
---|---|---|
committer | Michael Vogt <michael.vogt@ubuntu.com> | 2011-03-10 15:45:47 +0100 |
commit | 67da93c38eb3904b36537e025e2f63f77d830e20 (patch) | |
tree | 8ff57ccafb2f471fc97f97bfe8f0da11ca1eb7b1 /test/integration/run-tests | |
parent | c9952021ba65db0581f6053cd6d6e8bf7d563e8f (diff) | |
parent | a75b8cfeb6d7e2468b19534d5b5872c3885f0e1c (diff) |
merged from debian-sid
Diffstat (limited to 'test/integration/run-tests')
-rwxr-xr-x | test/integration/run-tests | 9 |
1 files changed, 8 insertions, 1 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests index 7314e6b61..edac07dbf 100755 --- a/test/integration/run-tests +++ b/test/integration/run-tests @@ -1,6 +1,7 @@ #!/bin/sh set -e +FAIL=0 DIR=$(readlink -f $(dirname $0)) if [ "$1" = "-q" ]; then export MSGLEVEL=2 @@ -13,8 +14,14 @@ for testcase in $(run-parts --list $DIR | grep '/test-'); do else echo "\033[1;32mRun Testcase \033[1;35m$(basename ${testcase})\033[0m" fi - ${testcase} + if ! ${testcase}; then + FAIL=$((FAIL+1)) + echo "$(basename $testcase) ... FAIL" + fi if [ "$1" = "-q" ]; then echo fi done + +echo "failures: $FAIL" +exit $FAIL |